####################################################################################################
# bsl_nucleo_f042k6_compiler.cmake
####################################################################################################

set(CMAKE_C_COMPILER "/usr/bin/arm-none-eabi-gcc")
set(CMAKE_CXX_COMPILER "/usr/bin/arm-none-eabi-g++")
set(CMAKE_ASM_COMPILER "/usr/bin/arm-none-eabi-gcc")
set(CMAKE_OBJCOPY "/usr/bin/arm-none-eabi-objcopy")
set(CMAKE_SIZE "/usr/bin/arm-none-eabi-size")
set(CMAKE_EXE_LINKER_FLAGS "--specs=nosys.specs") #AS we provide our own linker nad not using the one from the curren OS (system)

option(IS_NO_SYS "Use a custom linker script" ON)
option(NEED_OBJCOPY "If objcopy is neede for cross compilation" ON)
